%global __provides_exclude ^(perl\\(NetAddr::IP(::(InetBase|Util(PP)?))?\\)$|Util\\.so)

Name:           perl-NetAddr-IP
Version:        4.079
Release:        11
Summary:        Manages IPv4 and IPv6 addresses and subnets
License:        GPLv2+ and (GPLv2+ or Artistic clarified)
URL:            https://metacpan.org/release/NetAddr-IP
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIKER/NetAddr-IP-%{version}.tar.gz

BuildRequires:  coreutils, findutils, perl-interpreter, perl-devel, perl-generators, gcc
BuildRequires:  perl(Config), perl(Cwd), perl(ExtUtils::MakeMaker), perl(File::Spec)
BuildRequires:  perl(Getopt::Long), perl(Pod::Text), perl(AutoLoader), perl(Carp)
BuildRequires:  perl(DynaLoader), perl(Exporter), perl(Math::BigInt), perl(overload)
BuildRequires:  perl(Socket), perl(Socket6), perl(strict), perl(vars), perl(warnings)
BuildRequires:  perl(Data::Dumper), perl(Storable), perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)), perl(Math::BigInt), perl(Socket6)

%description
This module manages IPv4 and IPv6 addresses and subnets by providing an object-oriented
abstraction on top of IP addresses or IP subnets, which allows for easy manipulations.

%package        help
Summary:        man files for perl-NetAddr-IP
Requires:       man

%description    help
This package includes man files for perl-NetAddr-IP.

%prep
%autosetup -n NetAddr-IP-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT NO_PACKLIST=1
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%license Artistic Copying
%doc About-NetAddr-IP.txt docs/rfc1884.txt
%{perl_vendorarch}/auto/NetAddr/
%{perl_vendorarch}/NetAddr/

%files help
%{_mandir}/man*/*

%changelog
* Wed Jun 16 2021 wulei <wulei80@huawei.com> - 4.079-11
- fixes failed: add buildrequire gcc

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.079-10
- Package init
